Email sending
Update email domain settings
Update tracking configuration for an email domain.
PATCH
/
orgs
/
emails
/
domains
/
{domain_id}
Update email domain settings
curl --request PATCH \
--url https://api.useinvent.com/orgs/emails/domains/{domain_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.useinvent.com/orgs/emails/domains/{domain_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.useinvent.com/orgs/emails/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"dkim_status": "PENDING",
"dkim_tokens": [
{
"name": "<string>",
"value": "<string>"
}
],
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID or domain name of the email domain
Body
application/jsonmultipart/form-data
Schema for updating email domain settings
Response
200 - application/json
An email domain with DKIM verification
Unique identifier for the email domain
The domain name
DKIM verification status of an email domain
Available options:
PENDING, VERIFIED, FAILED DKIM CNAME records to add to DNS
Show child attributes
Show child attributes
Timestamp when the domain was verified
Timestamp when the domain was created
Timestamp when the domain was last updated
Was this page helpful?
⌘I
Update email domain settings
